package com.oguerreiro.resilient.service.dto;

import static org.assertj.core.api.Assertions.assertThat;

import com.oguerreiro.resilient.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class OutputDataDTOTest {

    @Test
    void dtoEqualsVerifier() throws Exception {
        TestUtil.equalsVerifier(OutputDataDTO.class);
        OutputDataDTO outputDataDTO1 = new OutputDataDTO();
        outputDataDTO1.setId(1L);
        OutputDataDTO outputDataDTO2 = new OutputDataDTO();
        assertThat(outputDataDTO1).isNotEqualTo(outputDataDTO2);
        outputDataDTO2.setId(outputDataDTO1.getId());
        assertThat(outputDataDTO1).isEqualTo(outputDataDTO2);
        outputDataDTO2.setId(2L);
        assertThat(outputDataDTO1).isNotEqualTo(outputDataDTO2);
        outputDataDTO1.setId(null);
        assertThat(outputDataDTO1).isNotEqualTo(outputDataDTO2);
    }
}
